#include "GUIHelp.h"
#include "ui_GUIHelp.h"
#include "GUICommon.h"

#include <QFile>
#include <QTextStream>

GUIHelp::GUIHelp(QWidget *parent) :
	QDialog(parent), ui(new Ui::GUIHelp) {
	ui->setupUi(this);
	::setWindowTitle(this);

	QFile file(":/license/copyright");
	if (!file.open(QIODevice::ReadOnly | QIODevice::Text)) {
		ui->license->setPlainText("Can't read license data");
		return;
	}
	QTextStream in(&file);
	ui->license->setPlainText(in.readAll());
}

GUIHelp::~GUIHelp() {
	delete ui;
}

void GUIHelp::changeEvent(QEvent *e) {
	QDialog::changeEvent(e);
	switch (e->type()) {
	case QEvent::LanguageChange:
		ui->retranslateUi(this);
		break;
	default:
		break;
	}
}
