#ifndef GUIMicaryLocationFile_H
#define GUIMicaryLocationFile_H

#include <QWidget>
#include "GUITabDocument.h"

namespace Ui {
class GUIMicaryLocationFile;
}

class GUIMicaryLocationFile: virtual public QWidget , public GUITabDocument {
Q_OBJECT
protected:
	HT::MIC::UIDocument* doc;
public:

	GUIMicaryLocationFile(HT::MIC::UIDocument* doc, QWidget *parent = 0);
	virtual ~GUIMicaryLocationFile();
	void saveFile(bool dialog);
	void openFile(QString file);
	virtual HT::MIC::UIDocument* getDoc() {
		return doc;
	}
	QString text();

public slots:
	void templateNew();
	void dispGraph();
	void dispTemplate(QString text);

protected	:
	void changeEvent(QEvent *e);

private:
	Ui::GUIMicaryLocationFile *ui;
};

#endif // GUIMicaryLocationFile_H
