#ifndef GUINoiseLocationFile_H
#define GUINoiseLocationFile_H

#include <QWidget>
#include "UIDocument.h"
#include "GUITabDocument.h"

namespace Ui {
class GUINoiseLocationFile;
}

class GUINoiseLocationFile: virtual public QWidget , public GUITabDocument {
Q_OBJECT
protected:
	HT::NOISE::UIDocument* doc;
public:
	GUINoiseLocationFile(HT::NOISE::UIDocument* doc, QWidget *parent = 0);
	virtual ~GUINoiseLocationFile();
	void openFile(QString file);
	virtual HT::NOISE::UIDocument* getDoc() {
		return doc;
	}
public slots:
	void templateNew();
	void dispGraph();
	void dispTemplate(QString text);
	void saveFile(bool dialog);

protected:
	void changeEvent(QEvent *e);

private:
	Ui::GUINoiseLocationFile *ui;
};

#endif // GUINoiseLocationFile_H
