#ifndef GUIVerifyPanel_H
#define GUIVerifyPanel_H

#include <QDialog>
#include "UIData.h"

namespace Ui {
class GUIVerifyPanel;
}

class GUIVerifyPanel: public QDialog {
Q_OBJECT
public:
	GUIVerifyPanel(QWidget *parent = 0);
	~GUIVerifyPanel();
	void connectTargetChanged(bool value);
	// 差分情報の表示
	void dispComparedData(TFMatrix<HT_COMPLEX_DATA_TYPE> *matrix1, TFMatrix<HT_COMPLEX_DATA_TYPE>* matrix2);
	// 差分のグラフの表示
	void dispComparedGraph(TFMatrix<HT_COMPLEX_DATA_TYPE> *matrix1, TFMatrix<HT_COMPLEX_DATA_TYPE>* matrix2, HT::UIData *data);

protected:
	void changeEvent(QEvent *e);

private:
	Ui::GUIVerifyPanel *ui;
public slots:
	void targetChanged();
	void execCompare();
	void dispDiffGraph();
};

#endif // GUIVerifyPanel_H
