#ifndef GUINewFileSelect_H
#define GUINewFileSelect_H

#include <QDialog>
#include "GUILocalizationTFNew.h"
#include "GUISeparationTFNew.h"
#include "GUIMicaryLocationFile.h"
#include "GUINoiseLocationFile.h"
#include "GUITSPListFile.h"
#include "GUIImpulseResponseListFile.h"

#include "GUICommon.h"
#include "GUIMainWindow.h"
#include "UIDocument.h"
#include "UIApp.h"

namespace Ui {
class GUINewFileSelect;
}

class GUINewFileSelect: public QDialog {
Q_OBJECT
public:
	GUINewFileSelect(QWidget *parent = 0);
	~GUINewFileSelect();

protected:
	void changeEvent(QEvent *e);

private slots:
	void displayLocalizationTFNew();
	void displaySeparationTFNew();
	void displayMicaryLocationFile();
	void displayNoiseLocationFile();
	void displayTSPListFile();
	void displayImpulseResponseListFile();

signals:
	void createdData(GUITabDocument *guidoc);
private:
	Ui::GUINewFileSelect *ui;
};

#endif // GUINewFileSelect_H
